Bug 1348617 (CVE-2016-4994) - CVE-2016-4994 gimp: Use-after-free vulnerabilities in the channel and layer properties parsing process
Summary: CVE-2016-4994 gimp: Use-after-free vulnerabilities in the channel and layer p...
Status: CLOSED ERRATA
Alias: CVE-2016-4994
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160620,repor...
Keywords: Security
Depends On: 1348618 1348788
Blocks: 1323912 1348619
TreeView+ depends on / blocked
 
Reported: 2016-06-21 15:14 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
2 users (show)

(edit)
Multiple use-after-free vulnerabilities were found in GIMP in the channel and layer properties parsing process when loading XCF files. An attacker could create a specially crafted XCF file which could cause GIMP to crash.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:55:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2589 normal SHIPPED_LIVE Moderate: gimp security, bug fix, and enhancement update 2016-11-03 12:09:58 UTC

Description Adam Mariš 2016-06-21 15:14:33 UTC
Multiple use-after-free vulnerabilities were found in the channel and layer properties parsing process when loading XCF file. Attacker may craft XCF file in order to gain control over objects that got previously freed and contains pointers to virtual functions that get executed.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=767873

Comment 1 Adam Mariš 2016-06-21 15:14:54 UTC
Created gimp tracking bugs for this issue:

Affects: fedora-all [bug 1348618]

Comment 7 Fedora Update System 2016-07-05 04:57:17 UTC
gimp-2.8.16-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-09 23:52:20 UTC
gimp-2.8.16-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-07-15 10:19:01 UTC
gimp-2.8.16-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2016-11-03 20:20:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2589 https://rhn.redhat.com/errata/RHSA-2016-2589.html


Note You need to log in before you can comment on or make changes to this bug.